package com.itko.lisa.ext.trilead;

import java.io.PrintWriter;

import com.itko.lisa.editor.TestNodeInfo;
import com.itko.lisa.resources.Strings;

public class SFTPStepController extends TestNodeInfo {

    static final String SFTP_KEY = "lisa.sftpstep.key";
    
	@Override
	public void initNewOne() {
        SFTPStep sftp = new SFTPStep();
        putAttribute( SFTP_KEY, sftp );
	}

	@Override
	public String loadSmallIcon()
    {
//        return "sftp_16.png";
    	return Strings.get("icon.tctree.ftpnode", "doc.gif");
    }

	@Override
	public String loadLargeIcon()
    {
//        return "sftp_64.png";
        return Strings.get("icon.tctree.ftpnode.lg", "doc.gif");
    }

	@Override
	public void writeSubXML(PrintWriter pw) {
        SFTPStep sftp = (SFTPStep)getAttribute( SFTP_KEY );
        sftp.writeSubXML( pw );
	}

	@Override
	public String getEditorName() {
		return "SFTP";
	}

	@Override
	public void migrate(Object testCaseObj) {
        SFTPStep sftp = (SFTPStep)testCaseObj;
        putAttribute( SFTP_KEY, sftp );

	}

	public String getHelpString() {
		return "This step is used to create SFTP requests to a remote server";
	}

}
