package com.itko.lisa.remote.vse.ext;

import com.google.common.base.Function;
import com.google.common.io.Files;
import com.gxs.ics.valueobjects.ICMetaData;
import com.itko.lisa.remote.Agent;
import com.itko.lisa.remote.utils.Log;

import java.io.File;
import java.io.IOException;
import java.io.OutputStream;

public class ICSReceiveSessionHelperInterceptor
{
//    private static final Log log = LogFactory.getLog( ICSReceiveSessionHelperInterceptor.class );

    /** Returns the result to override with or null to keep going with VSE */
    public static Object onPostHijack( String method,
                                       Object[] args,
                                       Function<Object, Object> superCall )
    {
        if( "doReceiveSession".equals( method ) &&
            args[5] instanceof OutputStream &&
            args[2] instanceof Long )
        {
            OutputStream os = (OutputStream) args[5];
            long iLog = (Long) args[2];

            Agent agent = Agent.getInstance();
            String path = agent.getAgentDir() + "/" + "agentTxfr-" + iLog + ".tmp";
            File file = new File( path );

            try
            {
                byte[] fileBytes = Files.toByteArray( file );
                os.write( fileBytes );
                if( file.delete() ) {} //Don't care
            }
            catch( IOException ioe )
            {
                // Om,nom,nom
                Log.getLogger().error( ioe.getMessage(), ioe );
            }
        }
        else
        {
            Log.getLogger().debug( "Not an expected method.  Saw " + method + "." );
        }
        return superCall.apply( null );
    }
}