package com.itko.lisa.test;

import java.util.Properties;
import java.io.*;

/**
 * User: jd
 * Date: Dec 10, 2010 11:11:26 AM
 */
public class UploaderMain {
    public static void main(String[] args) throws Exception {

        FileUploader.class.getName();
        Properties jndiProps = new Properties();
        jndiProps.put("abc", "123");
        BufferedReader br = new BufferedReader(new InputStreamReader(System.in));

        while (true) {
            System.out.println("Type an absolute file name to stream its content...");
            File file = new File(br.readLine());

            if (!file.exists()) {
                System.out.println(file.getName() + " is not a valid file");
                continue;
            }

            FileInputStream fis = new FileInputStream(file);
            byte[] contents = new byte[fis.available()];
            fis.read(contents);

            ByteArrayInputStream bais = new ByteArrayInputStream(contents);
            long bytes = FileUploader.doSend(jndiProps, 'r', "jd", "itko", new SendOptionData(), bais);
            System.out.println("Streamed " + bytes + " bytes");
        }
    }
}

class FileUploader
{
    public static long doSend(Properties jndiProps, char accessMethod, String userID, String password, SendOptionData sod, InputStream inputStream) throws Exception {
        int nBytesRead = 0;
        byte[] barrData = new byte[10000];
        long ttlWrite = 0;

        while ((nBytesRead = inputStream.read(barrData, 0, barrData.length)) != -1) {
            // streamingEjb.write(barrData, 0, nBytesRead);
            ttlWrite += nBytesRead;
        }

        System.out.println("Sent " + ttlWrite + " bytes through the streaming ejb...");
        inputStream.close();
        return ttlWrite;
    }
}

class SendOptionData implements Serializable {
    private String sFileName = null;
    private char cPriority = '\0';
    private char chDataType = 'E';
    private char chSendBillingOption = ' ';;
    private boolean bSynchronous = false;
    private byte[] bytearrSegTerm = null;
    //etc...
}
